# Configuration File

### Config Files <a href="#config-files" id="config-files"></a>

{% code title="config.lua" overflow="wrap" lineNumbers="true" fullWidth="false" expandable="true" %}

```lua
Config = {}
Config.Debug = false
Config.Framework = "auto" -- Options : "esx" or "qb" or "qbox"
Config.Interaction = "target" -- Options : "target" or 'textui'
Config.TargetSystem = 'ox' -- Options : "ox" or 'qb'
Config.CraftingTimeMultiplier = 1.0 
Config.MaxLevelXP = 5000 
Config.Locale = "fr" -- Options : en (English) | de (German) | fr (French) | es (Spanish) | ta (Tamil)

Config.Stations = {
    {
        type = "workbench",
        label = "Public Workbench",
        model = "prop_tool_bench02", 
        coords = vec4(248.4191, -791.4229, 30.4263, 160.2911), 
        blip = { enable = true, sprite = 237, color = 3, scale = 0.8, name = "Crafting" },
        categories = { "level1", "level2", "level3" },
        -- No job/gang = Public
    },
    {
        type = "police_bench",
        label = "Police Armory Crafting",
        model = "prop_tool_bench02", 
        coords = vec4(451.5702, -978.6896, 30.6896, 270.3503), -- Example Coords
        blip = { enable = true, sprite = 60, color = 38, scale = 0.6, name = "Police Crafting" },
        categories = { "police_gear" },
        job = "police" -- [RESTRICTION] Only police can open this
    },
    {
        type = "gang_bench",
        label = "Gang Workbench",
        model = "prop_tool_bench02", 
        coords = vec4(977.8250, -92.4746, 74.8452, 320.3503), -- Example Coords
        blip = { enable = false }, -- Hidden from map
        categories = { "drugs" },
        gang = { "ballas", "families" } -- [RESTRICTION] Only these gangs can open
    },
}

Config.Categories = {
    ["level1"] = { label = "Basic", icon = "fa-solid fa-star", minXP = 0 },
    ["level2"] = { label = "Expert", icon = "fa-solid fa-medal", minXP = 10 },
    ["level3"] = { label = "Master", icon = "fa-solid fa-crown", minXP = 20 },
    ["police_gear"] = { label = "Police Gear", icon = "fa-solid fa-shield", minXP = 0 },
    ["drugs"] = { label = "Black Market", icon = "fa-solid fa-skull", minXP = 500 },
}

Config.Recipes = {

    -- =====================================================
    -- PUBLIC WORKBENCH (2 RECIPES)
    -- =====================================================

     ["weapon_pistol"] = {
        label = "9mm",
        category = "level1",
        time = 5000,
        output = 3,
        xp = 25,
        ingredients = {
            { item = "sandwich", amount = 3 },
        }
    },

    ["lockpick"] = {
        label = "Lockpick",
        category = "level2",
        time = 4000,
        output = 2,
        xp = 15,
        ingredients = {
            { item = "steel", amount = 2 },
        }
    },


    ["WEAPON_PISTOL"] = {
        label = "9mm Pistol",
        category = "level3",
        time = 5000,
        output = 3,
        xp = 25,
        ingredients = {
            { item = "steel", amount = 3 },
        }
    },

    -- =====================================================
    -- POLICE ARMORY (2 RECIPES)
    -- =====================================================

    ["weapon_stungun"] = {
        label = "Taser",
        category = "police_gear",
        time = 10000,
        output = 1,
        xp = 50,
        job = "police",
        ingredients = {
            { item = "battery", amount = 8 },
        }
    },

    ["weapon_nightstick"] = {
        label = "Nightstick",
        category = "police_gear",
        time = 8000,
        output = 1,
        xp = 40,
        job = "police",
        ingredients = {
            { item = "steel", amount = 6 },
        }
    },

    -- =====================================================
    -- GANG WORKBENCH (2 RECIPES)
    -- =====================================================
     ["WEAPON_APPISTOL"] = {
        label = "AP Pistol",
        category = "level1",
        time = 5000,
        output = 3,
        xp = 25,
        ingredients = {
            { item = "steel", amount = 3 },
        }
    },


    ["weapon_switchblade"] = {
        label = "Switchblade",
        category = "drugs",
        time = 9000,
        output = 1,
        xp = 80,
        gang = { "ballas", "families" },
        ingredients = {
            { item = "steel", amount = 7 },
        }
    },
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nm1scripts.in/classy-series/advanced-crafting-system/full-configuration-guide/configuration-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
